## librscode 1.3

=== Makefile ===
# Makefile for Cross Interleaved Reed Solomon encoder/decoder
#
# (c) Henry Minsky, Universal Access 1991-1996
#

RANLIB = ranlib
AR = ar


VERSION = 1.0
DIRNAME= rscode-$(VERSION)


CC = gcc
# OPTIMIZE_FLAGS = -O69
DEBUG_FLAGS = -g
CFLAGS = -Wall -Wstrict-prototypes  $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS) -I..
LDFLAGS = $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS)

LIB_CSRC = rs.c galois.c berlekamp.c crcgen.c 
LIB_HSRC = ecc.h
LIB_OBJS = rs.o galois.o berlekamp.o crcgen.o 

TARGET_LIB = libecc.a
TEST_PROGS = example

TARGETS = $(TARGET_LIB) $(TEST_PROGS)

all: $(TARGETS)

$(TARGET_LIB): $(LIB_OBJS)
	$(RM) $@
	$(AR) cq $@ $(LIB_OBJS)
	if [ "$(RANLIB)" ]; then $(RANLIB) $@; fi

example: example.o galois.o berlekamp.o crcgen.o rs.o
	gcc -o example example.o -L. -lecc

clean:
	rm -f *.o example libecc.a
	rm -f *~

dist:
	(cd ..; tar -cvf rscode-$(VERSION).tar $(DIRNAME))

depend:
	makedepend $(SRCS)

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== debian/changelog ===
librscode (1.3-5) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 3.9.8 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Sun, 17 Apr 2016 20:09:58 +0200

librscode (1.3-4) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 3.9.7 (no changes needed)
    - Switch Vcs-Browser from gitweb to cgit
    - Switch Vcs-* from insecure URIs to secure ones
  * d/rules:
    - Add hardening=+bindnow to DEB_BUILD_MAINT_OPTIONS

 -- Christian Kastner <ckk@debian.org>  Tue, 22 Mar 2016 08:27:45 +0100

librscode (1.3-3) unstable; urgency=medium

  * Add package-specfic d/gbp.conf
  * Move README to librscode-dev.README
  * d/patches (added):
    - Change-path-of-header-in-example
      We moved the header from ecc.h to rscode/ecc.h, so the example must be
      updated accordingly (this was detected by the autopkgtest suite)
  * librscode-dev:
    - Include upstream's example in the package's examples

 -- Christian Kastner <ckk@debian.org>  Tue, 25 Aug 2015 14:23:23 +0200

librscode (1.3-2) unstable; urgency=medium

  * debian/tests/control:
    - Drop XS-Testsuite. dpkg now recognizes the Testsuite header, and
      dpkg-source automatically adds one when an autopkgtest suite is found
    - Add missing dependency on libc-dev
    - Switch Maintainer email to my @debian.org address
  * debian/copyright:
    - Bump copyright years
  * debian/README:
    - Minor fixes to text

 -- Christian Kastner <ckk@debian.org>  Sat, 15 Aug 2015 16:27:54 +0200

librscode (1.3-1) unstable; urgency=medium

  * Initial release. Closes: #767299

 -- Christian Kastner <debian@kvr.at>  Fri, 31 Oct 2014 14:55:53 +0100

=== debian/control ===
Source: librscode
Section: libs
Priority: optional
Maintainer: Christian Kastner <ckk@debian.org>
Build-Depends:
    debhelper (>= 9),
Standards-Version: 3.9.8
Homepage: http://rscode.sourceforge.net
Vcs-Git: https://anonscm.debian.org/git/collab-maint/librscode.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/librscode.git

Package: librscode1
Architecture: any
Multi-arch: same
Pre-Depends:
    ${misc:Pre-Depends},
Depends:
    ${shlibs:Depends},
    ${misc:Depends},
Description: library implementing a Reed-Solomon error correction algorithm
 The RSCODE project is an implementation of a Reed-Solomon error correction
 algorithm. It provides a byte-sized block coding which is convenient for
 adding protection to data which is stored as eight-bit bytes (i.e., most
 common computer data).
 .
 The Reed-Solomon code is the same one used for encoding of data on Audio CD's
 and CD-ROM disks, as well as many magnetic and optical disk controllers. You
 basically want to use Reed-Solomon coding in any situation where "forward
 error correction" is needed, i.e., the decoder will not have the option of
 requesting retransmission of bad blocks.
 .
 This package contains the shared library.

Package: librscode-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
    librscode1 (= ${binary:Version}),
    ${misc:Depends},
Description: development libraries and headers for RSCODE
 The RSCODE project is an implementation of a Reed-Solomon error correction
 algorithm. It provides a byte-sized block coding which is convenient for
 adding protection to data which is stored as eight-bit bytes (i.e., most
 common computer data).
 .
 The Reed-Solomon code is the same one used for encoding of data on Audio CD's
 and CD-ROM disks, as well as many magnetic and optical disk controllers. You
 basically want to use Reed-Solomon coding in any situation where "forward
 error correction" is needed, i.e., the decoder will not have the option of
 requesting retransmission of bad blocks.
 .
 This package contains the header file and the static library.

Package: librscode-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
    librscode1 (= ${binary:Version}),
    ${misc:Depends},
Description: debugging symbols for RSCODE
 The RSCODE project is an implementation of a Reed-Solomon error correction
 algorithm. It provides a byte-sized block coding which is convenient for
 adding protection to data which is stored as eight-bit bytes (i.e., most
 common computer data).
 .
 The Reed-Solomon code is the same one used for encoding of data on Audio CD's
 and CD-ROM disks, as well as many magnetic and optical disk controllers. You
 basically want to use Reed-Solomon coding in any situation where "forward
 error correction" is needed, i.e., the decoder will not have the option of
 requesting retransmission of bad blocks.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_CFLAGS_MAINT_APPEND = -Wall -Wstrict-prototypes

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- debian-build

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp libdir=/usr/lib/${DEB_HOST_MULTIARCH} debian-install

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=librscode-dbg

override_dh_auto_clean:
	dh_auto_clean -- debian-clean

=== debian/tests/control ===
Tests: upstream-example
Depends: librscode-dev, libc-dev, gcc

=== debian/watch ===
version=3

http://sf.net/rscode/rscode-(.+)\.tgz
